Taiga
API ReferencePre EncounterEligibility ChecksV1

Create eligibility check

Sends real-time eligibility checks to payers through Stedi.

POST
/eligibility-checks/v1

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object representing the data for an eligibility request.

Response Body

application/json

curl -X POST "https://example.com/eligibility-checks/v1" \  -H "Content-Type: application/json" \  -d '{    "payer_id": "string",    "provider": {      "npi": "string"    },    "subscriber": {      "first_name": "string",      "last_name": "string"    }  }'
{  "batch_id": "string",  "errors": [    {      "source": "TAIGA",      "errorDetails": {        "field?": "string",        "description?": "string",        "location?": "string",        "possibleResolutions?": "string",        "code?": "string",        "followupAction?": "string"      }    }  ],  "request": {    "submitter_transaction_identifier": "string",    "payer_id": "string",    "provider": {      "first_name": "string",      "last_name": "string",      "npi": "string"    },    "subscriber": {      "member_id": "string",      "first_name": "string",      "last_name": "string",      "date_of_birth": "2019-08-24"    },    "dependent": {      "member_id": "string",      "first_name": "string",      "last_name": "string",      "date_of_birth": "2019-08-24"    },    "encounter": {      "date_of_service": "2019-08-24",      "service_type_codes": [        "string"      ]    },    "get_existing_check_initiated_after": "2019-08-24T14:15:22Z",    "source": "string",    "portal_password": "string",    "portal_username": "string"  },  "response": {    "benefitsInformation": [      {        "additionalInformation": [          {            "description": "string"          }        ],        "authOrCertIndicator": "string",        "benefitAmount": "string",        "benefitPercent": "string",        "benefitQuantity": "string",        "benefitsAdditionalInformation": {},        "benefitsDateInformation": {},        "benefitsRelatedEntities": [          {}        ],        "benefitsRelatedEntity": {},        "benefitsServiceDelivery": [          {}        ],        "code": "string",        "coverageLevel": "string",        "coverageLevelCode": "string",        "eligibilityAdditionalInformation": {},        "eligibilityAdditionalInformationList": [          {}        ],        "inPlanNetworkIndicator": "string",        "inPlanNetworkIndicatorCode": "string",        "insuranceType": "string",        "insuranceTypeCode": "string",        "name": "string",        "planCoverage": "string",        "quantityQualifier": "string",        "quantityQualifierCode": "string",        "serviceTypeCodes": [          "string"        ],        "serviceTypes": [          "string"        ],        "timeQualifier": "string",        "timeQualifierCode": "string"      }    ],    "controlNumber": "string",    "dependents": [      {}    ],    "eligibilitySearchId": "string",    "errors": [      {}    ],    "id": "string",    "meta": {},    "payer": {},    "planDateInformation": {},    "planInformation": {},    "planStatus": [      {}    ],    "provider": {},    "reassociationKey": "string",    "subscriber": {},    "subscriberTraceNumbers": [      {}    ],    "tradingPartnerServiceId": "string",    "x12": "string"  },  "parsed_response": {    "eligibility_status": "ACTIVE",    "plan_metadata": {      "payer_name": "string",      "insurance_type": "string",      "insurance_type_code": "string",      "plan_name": "string",      "member_id": "string",      "group_number": "string",      "start_date": "2019-08-24",      "end_date": "2019-08-24",      "plan_dates": [        {          "start_date": "2019-08-24",          "end_date": "2019-08-24",          "field_name": "string"        }      ],      "subscriber": {        "member_id": "string",        "group_number": "string",        "first_name": "string",        "middle_name": "string",        "last_name": "string",        "date_of_birth": "string",        "gender": "string",        "address": {          "address1": "string",          "address2": "string",          "city": "string",          "state": "string",          "postal_code": "string",          "country_code": "string",          "country_sub_division_code": "string"        }      },      "dependent": {        "member_id": "string",        "group_number": "string",        "first_name": "string",        "middle_name": "string",        "last_name": "string",        "date_of_birth": "string",        "gender": "string",        "address": {          "address1": "string",          "address2": "string",          "city": "string",          "state": "string",          "postal_code": "string",          "country_code": "string",          "country_sub_division_code": "string"        }      }    },    "benefits": {      "plan_coverage": {        "in_network": {          "deductible": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "additional_notes": "string"        },        "in_network_flat": [          {            "type": "DEDUCTIBLE",            "coverageLevel": "EMPLOYEE_AND_CHILDREN",            "unit": "PERCENT",            "value": 0.1,            "additional_notes": "string"          }        ],        "out_of_network": {          "deductible": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "additional_notes": "string"        },        "out_of_network_flat": [          {            "type": "DEDUCTIBLE",            "coverageLevel": "EMPLOYEE_AND_CHILDREN",            "unit": "PERCENT",            "value": 0.1,            "additional_notes": "string"          }        ]      },      "service_specific_coverage": [        {          "service_code": "1",          "in_network": {            "copay": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "coinsurance": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits_remaining": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "additional_notes": "string"          },          "in_network_flat": [            {              "type": "DEDUCTIBLE",              "coverageLevel": "EMPLOYEE_AND_CHILDREN",              "unit": "PERCENT",              "value": 0.1,              "additional_notes": "string"            }          ],          "out_of_network": {            "copay": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "coinsurance": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits_remaining": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "additional_notes": "string"          },          "out_of_network_flat": [            {              "type": "DEDUCTIBLE",              "coverageLevel": "EMPLOYEE_AND_CHILDREN",              "unit": "PERCENT",              "value": 0.1,              "additional_notes": "string"            }          ]        }      ],      "benefits_related_entities": [        {          "entityIdentifier": "string",          "entityType": "string",          "entityName": "string",          "contactInformation": [            {              "mode": "string",              "value": "string"            }          ],          "serviceTypeCodes": [            "1"          ]        }      ],      "non_covered_details": [        {          "type": "DEDUCTIBLE",          "coverageLevel": "EMPLOYEE_AND_CHILDREN",          "unit": "PERCENT",          "value": 0.1,          "additional_notes": "string",          "service_type_codes": [            "1"          ]        }      ],      "notes": "string",      "autoUpdatedEligibilityCheckId": "string"    }  },  "request_corrections": [    {      "property": "string",      "request_value": "string",      "corrected_value": "string"    }  ]}